Integrations

List grants

GET
/integrations/grants

List the caller's grants, optionally for one Space: allowed operations, constraints, asset boundaries, risk acknowledgements and whether the grant still matches the provider contract.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Query Parameters

cursor?string

Opaque continuation cursor from the previous response.

Lengthlength <= 2048
limit?integer

Filter or parameter: limit.

Range1 <= value <= 100
Default50
space_id?string

Filter or parameter: space_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/integrations/grants"
{  "items": [    {      "id": "123e4567-e89b-42d3-a456-426614174000",      "connection_id": "123e4567-e89b-42d3-a456-426614174000",      "space_id": "123e4567-e89b-42d3-a456-426614174000",      "allowed_operations": [],      "safe_constraints": {},      "status": "ACTIVE",      "provider_contract_digest": "example",      "risk_acknowledgements": {},      "requires_reapproval": false,      "contract_current": false,      "asset_boundaries": {}    }  ],  "next_cursor": null}